      PROGRAM LSMPROG
C----------------------------------------------------------------------
C-
C-   Purpose and Methods :
C-
C-   Inputs  :
C-   Outputs :
C-   Controls:
C-
C-   Created  20-AUG-1990   MICHIGAN STATE UNIVERSITY, TRIGGER CONTROL SOFTWARE
C-
C----------------------------------------------------------------------
      IMPLICIT NONE
C----------------------------------------------------------------------
C
C       Global declarations
C
      INCLUDE 'LSMP$SOURCE:PARSE_TOKENS.PARAMS'
      INCLUDE 'LSMP$SOURCE:PARSE_TOKENS.INC'
C
C       Initialize COMPACK code
C
      CALL MENSET('LSM_MENM')
      CALL MENSET('SIMU_LSM')
      CALL MENSET('PROM_LSM')
      CALL SETSTA(3)
      CALL SPLSTA()
      CALL DEFSPA(1)
C
C       Other initialization here
C
      CALL MZEBRA(0)
      LSM_FILE_LOADED = .FALSE.
      LSO_FILE_LOADED = .FALSE.
      CALL STAMSG(' No file loaded',.TRUE.)
      LSM_DIRECTORY_NAME = 'LSMP$DATA:'
      LSM_FILE_NAME = 'CALORIMETER_TRIGGER'
      LSM_REVISION_NUMBER = -1
      LSM_MESSAGE_FILE = 'LSM_MESSAGES.LIS'
C
C       Display the menus
C
      CALL MAIN_MENU()
C
C       Terminate COMPACK code
C
      CALL EXIMEN()
C
      END
